#include "Oiseau.h"

COiseau::COiseau(Texture& LaTexture, int PosX, int PosY) : CPersonnage(LaTexture, PosX, PosY)
{
	SetDirectionHasard();  
}

void COiseau::SetDirectionHasard()
{
   //SetDirection(static_cast<Direction>(rand() % 4));

	switch(rand()%4)
	{
	case 0: SetDirection(Haut); break;
	case 1: SetDirection(Bas); break;
	case 2: SetDirection(Gauche); break;
	case 3: SetDirection(Droite); break;
	}
}

void COiseau::SeDeplacer(const COiseau* Oiseau)
{
	switch (GetDirection())  // Deplacement selon la direction de l'oiseau
	{
	case Haut:
		if(! SetPosition(GetPosX(), GetPosY() - Pas) )
		{
			SetDirection(Bas);
		}
		break;
	case Bas:
		if(! SetPosition(GetPosX(), GetPosY() + Pas) )
		{
			SetDirection(Haut);
		}
		break;
	case Gauche:
		if(! SetPosition(GetPosX() - Pas, GetPosY()) )
		{
			SetDirection(Droite);
		}
		break;
	case Droite :
		if(! SetPosition(GetPosX() + Pas, GetPosY()) )
		{
			SetDirection(Gauche);
		}
		break;
	}


}
